Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class DiscoHintsImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.DiscoHintsImpl

All Implemented Interfaces:
  DiscoHints, org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

    public class DiscoHintsImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements DiscoHints

Concrete implementation of `edu.internet2.middleware.shibboleth.wayf.idpdisco.DiscHints`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.DiscoHints
`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, MDUI_NS, MDUI_PREFIX`

Constructor Summary
`protected` | `DiscoHintsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`List<DomainHint>` | `getDomainHints()` The element specifies a set of DNS domains associated with, or serviced by, the entity.
`List<GeolocationHint>` | `getGeolocationHints()` The element specifies the geographic coordinates associated with, or serviced by, the entity.
`List<IPHint>` | `getIPHints()` The element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### DiscoHintsImpl

    protected DiscoHintsImpl(String namespaceURI,
                             String elementLocalName,
                             String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - namespaceURI
    `elementLocalName` - elementLocalName
    `namespacePrefix` - namespacePrefix

Method Detail

### getDomainHints

    public List<DomainHint> getDomainHints()

  The element specifies a set of DNS domains associated with, or serviced by, the entity.

  Specified by:
    `getDomainHints` in interface `DiscoHints`
  Returns:
    hints.

### getGeolocationHints

    public List<GeolocationHint> getGeolocationHints()

  The element specifies the geographic coordinates associated with, or serviced by, the entity. Coordinates are given in decimal form using the World Geodetic System (2d) coordinate system.

  Specified by:
    `getGeolocationHints` in interface `DiscoHints`
  Returns:
    hints

### getIPHints

    public List<IPHint> getIPHints()

  The element specifies a set of [CIDR] blocks associated with, or serviced by, the entity. Both IPv4 and IPv6 CIDR blocks MUST be supported.

  Specified by:
    `getIPHints` in interface `DiscoHints`
  Returns:
    hints

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.